<div class="wrap">

	<h1 class="wp-heading-inline"><?php _e('Sitemap', 'companion-sitemap-generator'); ?></h1>

		<a href="https://translate.wordpress.org/projects/wp-plugins/companion-sitemap-generator/" target="_blank" class="page-title-action"><?php _e('Help us translate', 'companion-sitemap-generator'); ?></a>
		<a href="https://www.paypal.me/dakel/1/" target="_blank" class="page-title-action"><?php _e('Donate to help development', 'companion-sitemap-generator'); ?></a>

	<hr class="wp-header-end">

	<h2 class="nav-tab-wrapper wp-clearfix">
		<a href="tools.php?page=csg-sitemap" class="nav-tab <?php csg_active_tab(''); ?>"><?php _e('Dashboard', 'companion-sitemap-generator'); ?></a>
		<a href="tools.php?page=csg-sitemap&amp;tabbed=posttypes" class="nav-tab <?php csg_active_tab('posttypes'); ?>"><?php _e('Exclude Post types', 'companion-sitemap-generator'); ?></a>
		<a href="tools.php?page=csg-sitemap&amp;tabbed=select" class="nav-tab <?php csg_active_tab('select'); ?>"><?php _e('Exclude Posts', 'companion-sitemap-generator'); ?></a>
	</h2>

	<?php 

	 if( !isset( $_GET['tabbed'] ) ) { 
		
		if( isset( $_POST['csg_generate'] ) ) {
			csg_sitemap();
		}

		if( isset( $_POST['submit'] ) ) {

			global $wpdb;
			$table_name = $wpdb->prefix . "sitemap"; 

			$changeFreq = $_POST['frequency'];

			$wpdb->query( " UPDATE $table_name SET onoroff = '$changeFreq' WHERE name = 'frequency' " );
			echo '<div id="message" class="updated"><p>'.__('Settings saved', 'companion-sitemap-generator').'.</p></div>';
		
		}

		?>

		<form method="POST">

			<table class="form-table">
				
				<tr>
					<th scope="row"><?php _e('Frequency', 'companion-sitemap-generator');?></th>
					<td>
						<select name='frequency'>
							<option <?php if( changeFreq() == 'always' ) { echo 'SELECTED'; } ?> value="always"><?php _e('Always', 'companion-sitemap-generator');?></option>
							<option <?php if( changeFreq() == 'hourly' ) { echo 'SELECTED'; } ?> value="hourly"><?php _e('Hourly', 'companion-sitemap-generator');?></option>
							<option <?php if( changeFreq() == 'daily' ) { echo 'SELECTED'; } ?> value="daily"><?php _e('Daily', 'companion-sitemap-generator');?></option>
							<option <?php if( changeFreq() == 'weekly' ) { echo 'SELECTED'; } ?> value="weekly"><?php _e('Weekly', 'companion-sitemap-generator');?></option>
							<option <?php if( changeFreq() == 'monthly' ) { echo 'SELECTED'; } ?> value="monthly"><?php _e('Monthly', 'companion-sitemap-generator');?></option>
							<option <?php if( changeFreq() == 'yearly' ) { echo 'SELECTED'; } ?> value="yearly"><?php _e('Yearly', 'companion-sitemap-generator');?></option>
							<option <?php if( changeFreq() == 'never' ) { echo 'SELECTED'; } ?> value="never"><?php _e('Never', 'companion-sitemap-generator');?></option>
						</select>
						<p><?php _e('How frequently the page is likely to change. This value provides general information to search engines and may not correlate exactly to how often they crawl the page.', 'companion-sitemap-generator');?>.</p>
					</td>
				</tr>

				<tr>
					<th scope="row"><?php _e('Update Sitemap', 'companion-sitemap-generator');?></th>
					<td>
						<p><?php _e('We update your sitemap every hour, but in case you\'d like to update it manually you can do that here.', 'companion-sitemap-generator');?>.</p>
						<form method="POST">
							<p><button type="submit" name="csg_generate" class="button button-alt"><?php echo csg_dynamic_button(); ?></button></a></p>
						</form>
					</td>
				</tr>

			</table>

			<?php submit_button(); ?>

		</form>

		<h2><?php _e( 'Dashboard', 'companion-sitemap-generator' ); ?></h2>

		<table class="form-table">

			<tr>
				<th scope="row"><?php _e('Sitemap link', 'companion-sitemap-generator');?></th>
				<td>
					<p><?php echo site_url(); ?>/sitemap.xml <a href='<?php echo site_url(); ?>/sitemap.xml' target='_blank'>(<?php _e('View sitemap', 'companion-sitemap-generator'); ?>)</a></p>
				</td>
			</tr>

			<tr>
				<th scope="row"><?php _e('HTML Sitemap', 'companion-sitemap-generator');?></th>
				<td>
					<p><?php _e('Use this shortcode to display an HTML sitemap:', 'companion-sitemap-generator');?></p>
					<p><code>[html-sitemap]</code></p>
				</td>
			</tr>
		</table>


	<?php } else {

		if( $_GET['tabbed'] == 'select' ) {
			
			require( 'select-posts.php' );

		} else if( $_GET['tabbed'] == 'posttypes' ) {
			
			require( 'select-post-types.php' );

		}

	} ?>

</div>